@import "tailwindcss";

body {
  cursor: none;
}

input,
textarea,
[contenteditable="true"] {
  cursor: text !important;
}

button,
a,
.cursor-pointer {
  cursor: pointer !important;
}

html {
  scroll-behavior: smooth;
}

@font-face {
  font-family: "SF Pro Display";
  src: url("/fonts/SFPRODISPLAYREGULAR.OTF") format("opentype");
  font-weight: 400;
  font-style: normal;
}

@font-face {
  font-family: "SF Pro Display";
  src: url("/fonts/SFPRODISPLAYBLACKITALIC.OTF") format("opentype");
  font-weight: 900;
  font-style: italic;
}

@font-face {
  font-family: "SF Pro Display";
  src: url("/fonts/SFPRODISPLAYBOLD.OTF") format("opentype");
  font-weight: 700;
  font-style: normal;
}

@font-face {
  font-family: "SF Pro Display";
  src: url("/fonts/SFPRODISPLAYHEAVYITALIC.OTF") format("opentype");
  font-weight: 800;
  font-style: italic;
}

@font-face {
  font-family: "SF Pro Display";
  src: url("/fonts/SFPRODISPLAYLIGHTITALIC.OTF") format("opentype");
  font-weight: 300;
  font-style: italic;
}

@font-face {
  font-family: "SF Pro Display";
  src: url("/fonts/SFPRODISPLAYMEDIUM.OTF") format("opentype");
  font-weight: 500;
  font-style: normal;
}

@font-face {
  font-family: "SF Pro Display";
  src: url("/fonts/SFPRODISPLAYSEMIBOLDITALIC.OTF") format("opentype");
  font-weight: 600;
  font-style: italic;
}

@font-face {
  font-family: "SF Pro Display";
  src: url("/fonts/SFPRODISPLAYTHINITALIC.OTF") format("opentype");
  font-weight: 100;
  font-style: italic;
}

@font-face {
  font-family: "SF Pro Display";
  src: url("/fonts/SFPRODISPLAYULTRALIGHTITALIC.OTF") format("opentype");
  font-weight: 200;
  font-style: italic;
}

body {
  font-family: "SF Pro Display", sans-serif;
  overflow-x: hidden;
  box-shadow: border-box;
}

button {
  cursor: pointer;
}

@keyframes scroll {
  0% {
    transform: translateX(0%);
  }

  100% {
    transform: translateX(-50%);
  }
}

.animate-scroll {
  display: flex;
  width: max-content;
  animation: scroll 20s linear infinite;
}

.link-hover {
  position: relative;
  display: inline-block;
  width: fit-content;
  transition: all 0.3s ease;
}

.link-hover::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -2px;
  width: 0%;
  height: 2px;
  background: white;
  transition: width 0.3s ease;
}

.link-hover:hover::after {
  width: 100%;
}

.link-hover:hover {
  transform: translateY(-1px);
}

/* Custom Dark Scrollbar */
.custom-scrollbar::-webkit-scrollbar {
  width: 6px;
}

.custom-scrollbar::-webkit-scrollbar-track {
  background: transparent;
}

.custom-scrollbar::-webkit-scrollbar-thumb {
  background: rgba(255, 255, 255, 0.15);
  border-radius: 999px;
}

.custom-scrollbar::-webkit-scrollbar-thumb:hover {
  background: rgba(121, 74, 255, 0.6);
  /* your primary */
}

/* Firefox */
.custom-scrollbar {
  scrollbar-width: thin;
  scrollbar-color: rgba(255, 255, 255, 0.2) transparent;
}